Bug 195186 - net-mgmt/icinga2: CMake Error when MySQL deselected
Summary: net-mgmt/icinga2: CMake Error when MySQL deselected
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Lars Engels
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-19 21:28 UTC by O. Hartmann
Modified: 2015-03-29 11:08 UTC (History)
1 user (show)

See Also:
ohartmann: maintainer-feedback? (lme)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description O. Hartmann 2014-11-19 21:28:28 UTC
With MySQL deselected from config, the port fails to build:

[...]
-- Found BISON: /usr/local/bin/bison (Required is at least version "2.3.0") 
-- Found FLEX: 2.5.39 (Required is at least version "2.5.31") 
-- Cannot find MySQL. Include dir: MYSQL_INCLUDE_DIR-NOTFOUND  library dir: 
CMake Error at lib/db_ido_mysql/CMakeLists.txt:62 (message):
  You have selected MySQL support, but MySQL could not be found.


-- Configuring incomplete, errors occurred!
See also "/usr/ports/net-mgmt/icinga2/work/icinga2-2.2.0/CMakeFiles/CMakeOutput.log".
See also "/usr/ports/net-mgmt/icinga2/work/icinga2-2.2.0/CMakeFiles/CMakeError.log".


make showconfig:
===> The following configuration options are available for icinga2-2.2.0:
     DOCS=on: Build and/or install documentation
====> Options available for the multi BACKEND: you have to choose at least one of them
     MYSQL=off: MySQL database support
     PGSQL=on: PostgreSQL database support
====> Build and/or install plugins: you can only select none or one of them
     MONPLUGINS=on: Plugins from monitoring-plugins.org
     NAGPLUGINS=off: Plugins from nagios-plugins.org
===> Use 'make config' to modify these settings
Comment 1 Bugzilla Automation freebsd_committer 2014-11-19 21:28:28 UTC
Auto-assigned to maintainer lme@FreeBSD.org
Comment 2 Lars Engels freebsd_committer 2014-11-20 08:12:02 UTC
Thanks for the PR. Will look into it.
Comment 3 commit-hook freebsd_committer 2014-11-25 16:29:41 UTC
A commit references this bug:

Author: lme
Date: Tue Nov 25 16:29:14 UTC 2014
New revision: 373415
URL: https://svnweb.freebsd.org/changeset/ports/373415

Log:
  - Fix build when not both database backends are selected
  - Fix plist
  - Bump PORTREVISION

  PR:		195186
  Submitted by:	ohartman@zedat.fu-berlin.de

Changes:
  head/net-mgmt/icinga2/Makefile
  head/net-mgmt/icinga2/files/patch-CMakeLists.txt
  head/net-mgmt/icinga2/pkg-plist
Comment 4 Bartek Rutkowski freebsd_committer 2015-03-29 11:08:28 UTC
The fix has been already committed, so I am closing this PR.